# Selectively update multiple findings

Selectively update multiple findings.

Endpoint: PATCH /api/v2/scans/{scanId}/bulk/findings
Version: 24.9.2.5
Security: ApiKeyAuth, Bearer

## Path parameters:

  - `scanId` (string, required)
    ID of the scan in which the findings to update exist

## Request fields (application/json):

  - `findings` (array)
    IDs of findings to modify.

  - `patchOperation` (object)

  - `patchOperation.customSeverity` (string)
    If set, it has to be either High, Medium or Low.
Case insensitive, all values are converted to have the first letter uppercase and others lowercase, e.g. High.

  - `patchOperation.reviewed` (boolean)

  - `patchOperation.suppressed` (boolean)

  - `patchOperation.suppressionReason` (string)
    Has to be unset or empty if suppressed is not set or if it's false.

## Response 200 fields (application/json):

  - `message` (string)
    Example: "Operation succeeded"

  - `result` (any)

  - `success` (boolean)
    Example: true

## Response 400 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 403 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 404 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 500 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)


